sc::BcastStateInBin(3)

NAME
sc::BcastStateInBin - BcastStateBin reads a file in written by StateInBin on node 0 and broadcasts it to all nodes so state can be simultaneously restored on all nodes.

SYNOPSIS

#include <mstate.h>

Inherits sc::MsgStateBufRecv.

  Public Methods
BcastStateInBin (const Ref< KeyVal > &)
Create the BcastStateRecv using the default MessageGrp.
BcastStateInBin (const Ref< MessageGrp > &, const char *filename)
Create the BcastStateRecv.
~BcastStateInBin ()
virtual int open (const char *name)
virtual void close ()
void seek (int loc)
Set the current position in the file.
int seekable ()
Return non-zero if seek does anything sensible.
int tell ()
Return the current position in the file.
int use_directory ()
Returns true of this object uses a directory.

  Protected Methods
void next_buffer ()
Specializations must implement next_buffer().
int get_array_void (void *, int)

  Protected Attributes
int opened_
int file_position_
std::streambuf * buf_

DETAILED DESCRIPTION

BcastStateBin reads a file in written by StateInBin on node 0 and broadcasts it to all nodes so state can be simultaneously restored on all nodes.

MEMBER FUNCTION DOCUMENTATION

  void sc::BcastStateInBin::seek (int loc) [virtual]

Set the current position in the file.

The default implementation does nothing.

Reimplemented from sc::StateIn.

  int sc::BcastStateInBin::seekable () [virtual]

Return non-zero if seek does anything sensible.

The default implementation returns 0.

Reimplemented from sc::StateIn.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.